io.etcd.jetcd.api

## Class AlarmResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<AlarmResponse.Builder>
      - - io.etcd.jetcd.api.AlarmResponse.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, AlarmResponseOrBuilder, Cloneable

Enclosing class:
  AlarmResponse

    public static final class AlarmResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<AlarmResponse.Builder>
    implements AlarmResponseOrBuilder

Protobuf type `etcdserverpb.AlarmResponse`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AlarmResponse.Builder` `addAlarms(AlarmMember.Builder builderForValue)` alarms is a list of alarms associated with the alarm request.
`AlarmResponse.Builder` `addAlarms(AlarmMember value)` alarms is a list of alarms associated with the alarm request.
`AlarmResponse.Builder` `addAlarms(int index, AlarmMember.Builder builderForValue)` alarms is a list of alarms associated with the alarm request.
`AlarmResponse.Builder` `addAlarms(int index, AlarmMember value)` alarms is a list of alarms associated with the alarm request.
`AlarmMember.Builder` `addAlarmsBuilder()` alarms is a list of alarms associated with the alarm request.
`AlarmMember.Builder` `addAlarmsBuilder(int index)` alarms is a list of alarms associated with the alarm request.
`AlarmResponse.Builder` `addAllAlarms(Iterable<? extends AlarmMember> values)` alarms is a list of alarms associated with the alarm request.
`AlarmResponse.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`AlarmResponse` `build()`
`AlarmResponse` `buildPartial()`
`AlarmResponse.Builder` `clear()`
`AlarmResponse.Builder` `clearAlarms()` alarms is a list of alarms associated with the alarm request.
`AlarmResponse.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`AlarmResponse.Builder` `clearHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`AlarmResponse.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`AlarmResponse.Builder` `clone()`
`AlarmMember` `getAlarms(int index)` alarms is a list of alarms associated with the alarm request.
`AlarmMember.Builder` `getAlarmsBuilder(int index)` alarms is a list of alarms associated with the alarm request.
`List<AlarmMember.Builder>` `getAlarmsBuilderList()` alarms is a list of alarms associated with the alarm request.
`int` `getAlarmsCount()` alarms is a list of alarms associated with the alarm request.
`List<AlarmMember>` `getAlarmsList()` alarms is a list of alarms associated with the alarm request.
`AlarmMemberOrBuilder` `getAlarmsOrBuilder(int index)` alarms is a list of alarms associated with the alarm request.
`List<? extends AlarmMemberOrBuilder>` `getAlarmsOrBuilderList()` alarms is a list of alarms associated with the alarm request.
`AlarmResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeader.Builder` `getHeaderBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`AlarmResponse.Builder` `mergeFrom(AlarmResponse other)`
`AlarmResponse.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`AlarmResponse.Builder` `mergeFrom(com.google.protobuf.Message other)`
`AlarmResponse.Builder` `mergeHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`AlarmResponse.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`AlarmResponse.Builder` `removeAlarms(int index)` alarms is a list of alarms associated with the alarm request.
`AlarmResponse.Builder` `setAlarms(int index, AlarmMember.Builder builderForValue)` alarms is a list of alarms associated with the alarm request.
`AlarmResponse.Builder` `setAlarms(int index, AlarmMember value)` alarms is a list of alarms associated with the alarm request.
`AlarmResponse.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`AlarmResponse.Builder` `setHeader(ResponseHeader.Builder builderForValue)` `.etcdserverpb.ResponseHeader header = 1;`
`AlarmResponse.Builder` `setHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`AlarmResponse.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`AlarmResponse.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmResponse.Builder>`

#### clear

    public AlarmResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmResponse.Builder>`

#### getDefaultInstanceForType

    public AlarmResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public AlarmResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public AlarmResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public AlarmResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmResponse.Builder>`

#### setField

    public AlarmResponse.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                          Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmResponse.Builder>`

#### clearField

    public AlarmResponse.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmResponse.Builder>`

#### clearOneof

    public AlarmResponse.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmResponse.Builder>`

#### setRepeatedField

    public AlarmResponse.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                  int index,
                                                  Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmResponse.Builder>`

#### addRepeatedField

    public AlarmResponse.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                  Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmResponse.Builder>`

#### mergeFrom

    public AlarmResponse.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<AlarmResponse.Builder>`

#### mergeFrom

    public AlarmResponse.Builder mergeFrom(AlarmResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmResponse.Builder>`

#### mergeFrom

    public AlarmResponse.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                    throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<AlarmResponse.Builder>`
Throws:
  `IOException`

#### hasHeader

    public boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `hasHeader` in interface `AlarmResponseOrBuilder`
Returns:
  Whether the header field is set.

#### getHeader

    public ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeader` in interface `AlarmResponseOrBuilder`
Returns:
  The header.

#### setHeader

    public AlarmResponse.Builder setHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### setHeader

    public AlarmResponse.Builder setHeader(ResponseHeader.Builder builderForValue)

`.etcdserverpb.ResponseHeader header = 1;`

#### mergeHeader

    public AlarmResponse.Builder mergeHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### clearHeader

    public AlarmResponse.Builder clearHeader()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderBuilder

    public ResponseHeader.Builder getHeaderBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderOrBuilder

    public ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeaderOrBuilder` in interface `AlarmResponseOrBuilder`

#### getAlarmsList

    public List<AlarmMember> getAlarmsList()

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

Specified by:
  `getAlarmsList` in interface `AlarmResponseOrBuilder`

#### getAlarmsCount

    public int getAlarmsCount()

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

Specified by:
  `getAlarmsCount` in interface `AlarmResponseOrBuilder`

#### getAlarms

    public AlarmMember getAlarms(int index)

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

Specified by:
  `getAlarms` in interface `AlarmResponseOrBuilder`

#### setAlarms

    public AlarmResponse.Builder setAlarms(int index,
                                           AlarmMember value)

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### setAlarms

    public AlarmResponse.Builder setAlarms(int index,
                                           AlarmMember.Builder builderForValue)

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### addAlarms

    public AlarmResponse.Builder addAlarms(AlarmMember value)

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### addAlarms

    public AlarmResponse.Builder addAlarms(int index,
                                           AlarmMember value)

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### addAlarms

    public AlarmResponse.Builder addAlarms(AlarmMember.Builder builderForValue)

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### addAlarms

    public AlarmResponse.Builder addAlarms(int index,
                                           AlarmMember.Builder builderForValue)

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### addAllAlarms

    public AlarmResponse.Builder addAllAlarms(Iterable<? extends AlarmMember> values)

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### clearAlarms

    public AlarmResponse.Builder clearAlarms()

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### removeAlarms

    public AlarmResponse.Builder removeAlarms(int index)

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### getAlarmsBuilder

    public AlarmMember.Builder getAlarmsBuilder(int index)

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### getAlarmsOrBuilder

    public AlarmMemberOrBuilder getAlarmsOrBuilder(int index)

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

Specified by:
  `getAlarmsOrBuilder` in interface `AlarmResponseOrBuilder`

#### getAlarmsOrBuilderList

    public List<? extends AlarmMemberOrBuilder> getAlarmsOrBuilderList()

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

Specified by:
  `getAlarmsOrBuilderList` in interface `AlarmResponseOrBuilder`

#### addAlarmsBuilder

    public AlarmMember.Builder addAlarmsBuilder()

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### addAlarmsBuilder

    public AlarmMember.Builder addAlarmsBuilder(int index)

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### getAlarmsBuilderList

    public List<AlarmMember.Builder> getAlarmsBuilderList()

     alarms is a list of alarms associated with the alarm request.

`repeated .etcdserverpb.AlarmMember alarms = 2;`

#### setUnknownFields

    public final AlarmResponse.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmResponse.Builder>`

#### mergeUnknownFields

    public final AlarmResponse.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmResponse.Builder>`